@echo off
REM ---------------------------------------------------------------------------
REM
REM  Copyright (c) Intel Corporation, 2003 - 2009 All Rights Reserved.
REM
REM  File:       provend.bat
REM
REM  Contents:  batch file called at the end of the configuration procedure.
REM
REM ----------------------------------------------------------------------------


REM ######################################################################
REM ###                                                                ###
REM ### This file is called by the Configuration Server program         ###
REM ### in order to report back to the batch script of a successful    ###
REM ### operation (hopefully)                                          ###
REM ### you may customize this script and modify the defaults          ###
REM ### at your own risk.                                              ###
REM ### Usually one may want to drop here some other commands          ###
REM ### such as sendmail and dabase-logging                            ###
REM ###                                                                ###
REM ######################################################################


REM	In a production environment, all cryptographic material should be deleted after use.
REM	To inspect intermediate files uncomment the next line
REM goto end

del /q ..\CertGenerator\SecScripts\newcert.pem
del /q ..\CertGenerator\SecScripts\newkey.pem
del /q ..\CertGenerator\SecScripts\cchain.raw
del /q ..\CertGenerator\SecScripts\newcert.der
del /q ..\CertGenerator\SecScripts\newreq.pem
del /q ..\CertGenerator\SecScripts\.rnd

:end
