@echo off
REM ---------------------------------------------------------------------------
REM
REM  Copyright (c) Intel Corporation, 2003 - 2009 All Rights Reserved.
REM
REM  File:      subCA_req.bat
REM
REM  Contents:  batch file which creates a request for a subordinate CA.
REM
REM ----------------------------------------------------------------------------

REM ######################################################################
REM ###                                                                ###
REM ### This batch may be called by the Configuration Server program    ###
REM ### in order to generate a Subordinate CA certificate request      ###
REM ### you may customize this script and modify the defaults          ###
REM ### at your own risk.                                              ###
REM ###                                                                ###
REM ######################################################################

setlocal

set PATH= %PATH%;../openSSL
set CATOP=.\subCA
set SSLEAY_CONFIG=-config ../SecConfig/subCA.cfg
set DAYS=-days 365

rmdir /q /s %CATOP%

mkdir %CATOP%
mkdir %CATOP%\certs 
mkdir %CATOP%\crl 
mkdir %CATOP%\newcerts
mkdir %CATOP%\private
echo 01 > %CATOP%\serial
copy nul %CATOP%\index.txt

REM ### Generate subCA Certificate request & key ###

openssl req %SSLEAY_CONFIG% -new -keyout %CATOP%\private\subcakey.pem -out %CATOP%\certreq.pem %DAYS%

endlocal

IF NOT %CALLER_WAITS_ON_EXIT%=="" EXIT




