@echo off
REM ---------------------------------------------------------------------------
REM
REM  Copyright (c) Intel Corporation, 2003 - 2009 All Rights Reserved.
REM
REM  File:       clean.bat
REM
REM  Contents:  batch file which can be invoked manually to clean security
REM             files.
REM
REM ----------------------------------------------------------------------------

REM ######################################################################
REM ###                                                                ###
REM ### This batch cleans all ztc certificates and root CA. ###
REM ### you may customize this script and modify the defaults          ###
REM ### at your own risk.                                              ###
REM ###                                                                ###
REM ######################################################################

setlocal

set PATH=%PATH%;../openSSL

echo Warning: deleting all certificates and files is strongly discouraged !!!
yesno "Continue [y/N] ? " N
if NOT errorlevel 1 goto end
rmdir /q /s ztc
rmdir /q /s rootCA
del RootHash.txt
del FullChain.pem
del .rnd

echo files erased successfully. 
:end

endlocal
